[vectordb](../README.md) / [Exports](../modules.md) / VectorIndex

# Interface: VectorIndex

## Table of contents

### Properties

- [columns](VectorIndex.md#columns)
- [name](VectorIndex.md#name)
- [status](VectorIndex.md#status)
- [uuid](VectorIndex.md#uuid)

## Properties

### columns

• **columns**: `string`[]

#### Defined in

[index.ts:718](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L718)

___

### name

• **name**: `string`

#### Defined in

[index.ts:719](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L719)

___

### status

• **status**: [`IndexStatus`](../enums/IndexStatus.md)

#### Defined in

[index.ts:721](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L721)

___

### uuid

• **uuid**: `string`

#### Defined in

[index.ts:720](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L720)
